load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin

g=addfile("ts_djf_11e_65N_100W.nc", "r")
ts=g->ts
ts=ts-273.15

ts1=ts(0,:)
ts4=ts(3,:)
ts7=ts(6,:)
ts12=ts(10,:)

tsp1  = pdfx(ts1, 35, False)    ; specify 40 bins
tsp4  = pdfx(ts4, 35, False) 
tsp7  = pdfx(ts7, 35, False) 
tsp12 = pdfx(ts12, 35, False) 

x1=tsp1@bin_center
x4=tsp4@bin_center
x7=tsp7@bin_center
x12=tsp12@bin_center

wks  = gsn_open_wks ("eps","aaf_plot_v5_f3c_65N_100W")                ; send graphics to PNG file

plot=new(4, graphic)

res                      = True
  res@gsnDraw  = False                          ; don't draw
  res@gsnFrame = False 

  res@xyLineThicknesses        = 3.0       

  res@xyMonoDashPattern        = True              ; all solid 
  res@gsnXYBarChart            = True              ; Create bar plot
  res@gsnXYBarChartOutlineOnly = True


 res@tiMainFontHeightF = 0.015
  ;res@tmYLLabelFontHeightF        = 0.025     ; Font sizes
  ;  res@tmXBLabelFontHeightF = 0.025
  ;  res@pmLabelBarOrthogonalPosF=0.2
    res@tiMainOffsetYF=-0.005

  res@trYMinF  = 0.0                   ; min value on y-axis
  res@trYMaxF  = 10.0                   ; max value on y-axis
  res@trXMinF  = -70.0                   ; min value on y-axis
  res@trXMaxF  = 20.0                   ; max value on y-axis

       
  res@vpWidthF        = 0.7     
  res@vpHeightF       = 0.4  

  ;res@pmLegendDisplayMode    = "Always"            ; turn on legend
  ;res@pmLegendSide           = "Top"               ; Change location of 
  ;res@pmLegendParallelPosF   = .25                 ; move units right
  ;res@pmLegendOrthogonalPosF = -0.4                ; move units down
  ;res@pmLegendWidthF         = 0.125               ; Change width and
  ;res@pmLegendHeightF        = 0.15                ; height of legend.
  ;res@lgPerimOn              = True                ; turn off/on box around
  ;res@lgLabelFontHeightF     = .015                ; label font height
  ;res@xyExplicitLegendLabels = (/"AP","BP","CP"/)  ; create explicit labels

res@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

res@tiMainString="T2m PDF at 65N 100W"
res@gsnCenterString = ""
res@gsnLeftString=""
res@gsnRightString=""
res@tiXAxisString="~S~o~N~C"
res@tiYAxisString = "PDF (%)"                  ; yaxis 

res@gsnStringFontHeightF = 0.025
res@tmXBLabelFontHeightF = 0.025
res@tmYLLabelFontHeightF = 0.025
;res@lbLabelFontHeightF = 0.025
res@tiXAxisFontHeightF = 0.025
res@tiYAxisFontHeightF = 0.025
res@tiMainFontHeightF = 0.025

  res@tiMainOffsetYF=-0.01

res@gsnXRefLine = (/-36.962, -21.940, -5.876, 5.937/)
res@gsnXRefLineColors = (/"blue", "green", "orange", "red"/)

  res@xyLineColors             = "blue"
  plot(0) = gsn_csm_xy (wks, x1, tsp1, res)

  res@xyLineColors             = "green"
  plot(1) = gsn_csm_xy (wks, x4, tsp4, res)

  res@xyLineColors             = "orange"
  plot(2) = gsn_csm_xy (wks, x7, tsp7, res)

  res@xyLineColors             = "red"
  plot(3) = gsn_csm_xy (wks, x12, tsp12, res)

  overlay(plot(0),plot(1))
  overlay(plot(0),plot(2))
 overlay(plot(0),plot(3))

  draw(plot(0))
  frame(wks)
end