load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin

f0=addfile("TREFHT_index_awland_11e.nc", "r")
index0=f0->index
;index0=index0-273.15

f1=addfile("t2m1%_index_awland_11e.nc", "r")
index1=f1->index


f2=addfile("TS_index_ocean_new.nc", "r")
xx=f2->index

f3=addfile("t2m_std_index_awland_11e.nc", "r")
index3=f3->index

f4=addfile("t2mmn1%_index_awland_11e.nc", "r")
index2=f4->index

index4=index1
index4=index1-index2


;;;;;;;;;;;;;;;;;;;;;;

wks = gsn_open_wks("eps","aaf_plot_v5_f3a")         ; send graphics to PNG file

plot=new(2, graphic)

  res               = True                   ; plot mods desired
  ;res@trYMinF                     = 0 
  ;res@trYMaxF = 1.  
  ;res@gsnYRefLine           = 0.0            ; create a reference line
  res@gsnDraw  = False                          ; don't draw
  res@gsnFrame = False 

  res@vpWidthF        = 0.7     
  res@vpHeightF       = 0.6  

 res@xyMarkerColor     = "red"  
   res@xyMarkLineMode= "Markers"
   res@xyLineThicknessF = 5.0
 res@xyMarkers         =  16    
; xx=(/0,5,10,15,20/)
   ;res@tmXBMode   = "Explicit"
   ; res@xyDashPattern  = 0                         ; Make curves all solid

  ;res@tmXBValues = (/0,5,10,15,20/)     
  ;res@tmXBLabels = (/0,5,10,15,20/)



  ;res@tmXMajorGrid                = True          ; implement x grid 
  ;res@tmXMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmXMajorGridLineDashPattern = 2             ; select short dash lines
  
  ;res@tmYMajorGrid                = True          ; implement y grid
  ;res@tmYMajorGridThicknessF      = 1.0           ; 2.0 is default
  ;res@tmYMajorGridLineDashPattern = 2             ; select short dash lines


  res@trYMinF  = -50.0                   ; min value on y-axis
  res@trYMaxF  = 10.0                   ; max value on y-axis



res@gsnStringFont = "helvetica"
;res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

;res@tiMainString="T2m, T2m1%, T2mmn1% (~S~o~N~C)"
res@tiMainString=""
res@tiYAxisString= "~S~o~N~C"
res@gsnCenterString = ""
res@gsnLeftString=""
res@gsnRightString=""
res@tiXAxisString="forcing temperature (~S~o~N~C)"

res@gsnStringFontHeightF = 0.025
res@tmXBLabelFontHeightF = 0.025
res@tmYLLabelFontHeightF = 0.025
;res@lbLabelFontHeightF = 0.025
res@tiXAxisFontHeightF = 0.025
res@tiYAxisFontHeightF = 0.025
res@tiMainFontHeightF = 0.03

 res@xyMarkerSizeF     = 0.02        

  plot(0) = gsn_csm_xy(wks,xx,index0,res)



 res@xyMarkerColor     = "orange"  
  plot0 = gsn_csm_xy(wks,xx,index1,res) 
  overlay(plot(0),plot0)

 res@xyMarkerColor     = "blue"  
  plot1 = gsn_csm_xy(wks,xx,index2,res) 
  overlay(plot(0),plot1)





res@tiMainString ="T2m std, T2m1%-T2mmn1% (~S~o~N~C)"
   res@trYMinF  = 0.0                   ; min value on y-axis
  res@trYMaxF  = 12.0                   ; max value on y-axis
 res@xyMarkerColor     = "red"  
  plot(1) = gsn_csm_xy(wks,xx,index3,res) 

 res@xyMarkerColor     = "blue"  
  plot2 = gsn_csm_xy(wks,xx,index4,res) 
  overlay(plot(1),plot2)

;;;;;;;;;;;;;;;;;;;;;;;

  gsn_panel(wks,plot,(/1,2/),False)   

  end 