load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"

begin

g=addfile("piyre_djfts_TREFHT.nc", "r") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
TREFHT=g->TREFHT
TREFHT=TREFHT-273.15

g=addfile("piyre_djfts_FLNS.nc", "r") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
FLNS=-g->FLNS
;TS=TS-273.15

g=addfile("piyre_djfts_CLDLOW.nc", "r") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
CLDLOW=g->CLDLOW

g=addfile("piyre_djfts_LWCFSFC.nc", "r") ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
LWCFSFC=g->LWCFSFC

ts1=TREFHT
ts4=FLNS
ts7=CLDLOW
ts12=LWCFSFC

  pdf2_T_LW  = pdfxy(ts1,ts4,0,0,False)
  pdf2_CLD_LW  = pdfxy(ts7,ts4,0,0,False)
  pdf2_CRF_LW  = pdfxy(ts12,ts4 ,0,0,False)
  pdf2_CLD_CRF  = pdfxy(ts7 ,ts12,0,0,False)
  pdf2_CLD_T  = pdfxy(ts7 ,ts1,0,0,False)

pdf2_T_LW=where(pdf2_T_LW.eq.0, pdf2_T_LW@_FillValue, pdf2_T_LW)
pdf2_CLD_LW=where(pdf2_CLD_LW.eq.0, pdf2_CLD_LW@_FillValue, pdf2_CLD_LW)
pdf2_CRF_LW=where(pdf2_CRF_LW.eq.0, pdf2_CRF_LW@_FillValue, pdf2_CRF_LW)
pdf2_CLD_CRF=where(pdf2_CLD_CRF.eq.0, pdf2_CLD_CRF@_FillValue, pdf2_CLD_CRF)
pdf2_CLD_T=where(pdf2_CLD_T.eq.0, pdf2_CLD_T@_FillValue, pdf2_CLD_T)

wkstype="png"
wkstype@wkWidth=2000
wkstype@wkHeight=2000
;wks  = gsn_open_wks(wkstype,"bivariate_pdf_sstn=20_65N_100W")
wks  = gsn_open_wks ("eps","bivariate_pdf_pi_65N_100W")                ; send graphics to PNG file

plot=new(4, graphic)
plot1=new(4, graphic)
res                      = True
  res@gsnDraw  = False                          ; don't draw
  res@gsnFrame = False 

  res@cnFillOn            = True    ; Turn on color
  ;res@cnFillPalette       = "amwg"  ; set color map
  res@cnLinesOn           = False
  res@cnLineLabelsOn      = False
res@cnFillPalette        = "BlAqGrYeOrRe"  

res@gsnStringFont = "helvetica"
res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"
res@tiXAxisFont =  "helvetica"
res@tiYAxisFont =  "helvetica"
res@tiMainFont =  "helvetica"

res@gsnStringFontHeightF = 0.03
res@gsnStringFontHeightF = 0.025
res@tmXBLabelFontHeightF = 0.025
res@tmYLLabelFontHeightF = 0.025
;res@lbLabelFontHeightF = 0.025
res@tiXAxisFontHeightF = 0.025
res@tiYAxisFontHeightF = 0.025
res@tiMainFontHeightF = 0.025

;lbOrientation = "vertical"

   res@tiMainString=""
res@gsnCenterString = ""
res@gsnLeftString="PI"
res@gsnRightString="65N 100W"
;res@tiXAxisString="~S~o~N~C"

 ; res@tiXAxisOffsetYF      = 0.067
res@tiXAxisOffsetYF      = 0.1

;  res@cnMaxLevelCount      = 20
;  res@cnLevelSelectionMode = "EqualSpacedLevels"

res@tiYAxisString = "Net LW (W/m2)" 
res@tiXAxisString="T2m (~S~o~N~C)"
  plot(0) = gsn_csm_contour (wks,pdf2_T_LW, res)

res@tiYAxisString="Net LW (W/m2)"
res@tiXAxisString = "Low cloud fraction" 
  plot(1) = gsn_csm_contour (wks,pdf2_CLD_LW, res)

res@tiYAxisString="Net LW (W/m2)"
res@tiXAxisString = "LW CRF (W/m2)" 
  plot(2) = gsn_csm_contour (wks,pdf2_CRF_LW, res)

;res@tiYAxisString = "LW CRF (W/m2)" 
;res@tiXAxisString="Low cloud fraction"
;  plot(3) = gsn_csm_contour (wks,pdf2_CLD_CRF, res)
 ; resP=True
 ; 
 res@tiYAxisString = "T2m (~S~o~N~C)" 
res@tiXAxisString="Low cloud fraction"
  plot(3) = gsn_csm_contour (wks,pdf2_CLD_T, res)
  resP                 = True
 resP@gsnPanelYWhiteSpacePercent = 2
 resP@gsnPanelXWhiteSpacePercent = 3
 resP@gsnPanelMainString = "Bivariate PDF (%)"
 resP@gsnPanelMainFont="helvetica"
 gsn_panel(wks,plot,(/2,2/),resP)

end