load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/popRemap.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl" 
load "$NCARG_ROOT/lib/ncarg/nclscripts/contrib/calendar_decode2.ncl"

begin

g1=addfile("piy_climean_CLDHGH.nc", "r")
g4=addfile("rcp_2090_climean_CLDHGH.nc", "r")
g7=addfile("rcp_2290_climean_CLDHGH.nc", "r") 
g12=addfile("ecp_thr20_climean_CLDHGH.nc", "r") 

T1=g1->CLDHGH
T4=g4->CLDHGH
T7=g7->CLDHGH
T12=g12->CLDHGH

T4=T4-T1
T7=T7-T1
T12=T12-T1
;T1=T1-273.15
;T2=T2-273.15
;T3=T3-273.15
;T4=T4-273.15
;T5=T5-273.15
;T6=T6-273.15
;T7=T7-273.15
;T8=T8-273.15
;T9=T9-273.15
;T10=T10-273.15
;T11=T11-273.15
;T12=T12-273.15

wks  = gsn_open_wks("eps","CLDHGH_aaf_plot_v2_f6")

plot=new(4, graphic)

res                      = True
  res@gsnDraw  = False                          ; don't draw
  res@gsnFrame = False 
res@mpFillOn             = False
  res@mpMinLonF              =   0
  res@mpMaxLonF              = 360
  res@mpCenterLonF           = 180     ; This is necessary to get the correct map
 ; res@mpMinLatF            = 0.
;res@mpMaxLatF            = 90.
res@cnInfoLabelOn = False
res@cnLineLabelsOn       = False
res@gsnAddCyclic         = True

res@cnFillOn             = True
res@cnLinesOn            = False

  res@tiYAxisFontHeightF          = 0.03
  res@tiMainFontHeightF = 0.03
;  res@tmYLLabelFontHeightF        = 0.03     ; Font sizes
;    res@tmXBLabelFontHeightF = 0.03
 ;   res@pmLabelBarOrthogonalPosF=-0.2
  ;  res@tiMainOffsetYF=-0.03
;res@mpOceanFillPattern = "HollowFill"

;res@lbOrientation = "vertical"
;res@cnLineLabelsOn      = True  
;res@pmTickMarkDisplayMode = "Always"

res@gsnMajorLatSpacing = 45              ; change maj lat tm spacing
  res@gsnMajorLonSpacing = 90              ; change maj lon tm spacing
 res@tmXBMinorOn        = False           ; no lon minor tickmarks
 res@tmYLMinorOn        = False           ; no lon minor tickmarks
res@tmXTLabelsOn = False
res@tmYRLabelsOn = False


res@cnFillOn             = True
res@cnFillPalette        = "ncl_default"              ; choose colormap

;  res@tiYAxisFontHeightF          = 0.025
;  res@tiMainFontHeightF = 0.03

  ;  res@pmLabelBarOrthogonalPosF=0.4
;res@tiMainOffsetYF=-0.025

;res@cnLinesOn            = True
;    res@gsnContourZeroLineThicknessF = 3000.0

;res@gsnContourLineThicknessesScale = 0.001

res@cnLevelSelectionMode = "ManualLevels" ; manually set the contour levels with the following 3 resources
res@cnMinLevelValF  = -0.3        ; set the minimum contour level
res@cnMaxLevelValF  = 0.3         ; set the maximum contour level
res@cnLevelSpacingF = 0.05          ; set the interval between contours
;res@tiMainString="Vertically integrated water vapor"
;res@gsnRightString="kg/m2"
;res@gsnLeftString="PI"

res@gsnStringFont = "helvetica"
res@lbLabelFont = "helvetica"
res@tmYLLabelFont = "helvetica"
res@tmXBLabelFont = "helvetica"

res@gsnStringFontHeightF = 0.033
res@tmXBLabelFontHeightF = 0.033
res@tmYLLabelFontHeightF = 0.033
res@lbLabelFontHeightF = 0.033


res@tiMainString=""
res@gsnRightString=""
res@gsnCenterString = "High cloud fraction"


res@lbLabelBarOn = False

 ; res@vpWidthF        = 0.3     
;  res@vpHeightF       = 0.3 


res@gsnLeftString="PI"
plot(0) = gsn_csm_contour_map_ce(wks,T1, res)

    ;=======================================================
res@gsnLeftString="RCP2090"

;res@gsnLeftString="ECP2300"
plot(1) = gsn_csm_contour_map_ce(wks,T4, res)

;res@lbLabelBarOn = True
res@gsnLeftString="ECP2290"
plot(2) = gsn_csm_contour_map_ce(wks,T7, res)

res@gsnLeftString="SSTn=20"
plot(3) = gsn_csm_contour_map_ce(wks,T12, res)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


    ;=======================================================

resP                    = True                 ; modify the panel plot
resP@gsnPanelLabelBar = True
;  resP@gsnPanelMainString = "Vertically integrated water vapor (kg/m2)"     ; new resource added in NCL V6.4.0
 ; resP@lbOrientation       = "vertical" ; vertical label bar
 ; resP@lbTitleString    = "kg/m2"  
 ;   resP@lbTitlePosition  = "Right" 
 ;   resP@lbTitleDirection = "Across"  
      ;  resP@pmLabelBarOrthogonalPosF=-0.2
     ;   resP@gsnPanelMainPosYF= 0.4
 ;resP@gsnPanelMainFontHeightF = -0.03
 resP@lbLabelFontHeightF  = 0.015 
    resP@pmLabelBarWidthF =0.3
 resP@lbLabelFont = "helvetica"
  gsn_panel(wks,plot,(/4,1/),resP)               ; now draw as one plot
end

